---
type: api
title: Get case settings
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-getcaseconfigurationdefaultspace
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-getcaseconfigurationdefaultspace
products:
  - Kibana
---

# Get case settings

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/cases/configure`
- `GET` `/s/{space_id}/api/cases/configure`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get setting details such as the closure type, custom fields, templatse, and the default connector for cases. You must have `read` privileges for the **Cases** feature in the **Management**, **Observability**, or **Security** section of the Kibana feature privileges, depending on where the cases were created.

## Query String Parameters

- `owner` (union oneOf)
  A filter to limit the response to a specific set of applications. If this parameter is omitted, the response contains information about all the cases that the user has access to read.
  Values: `cases`, `observability`, `securitySolution`

## Responses

#### `200`

Indicates a successful call.

`application/json`

Type: `[] object`

- `closure_type` (enum)
  Indicates whether a case is automatically closed when it is pushed to external systems (`close-by-pushing`) or not automatically closed (`close-by-user`).
  Values: `close-by-pushing`, `close-by-user`
- `connector` (object)
  - `fields` (object) — nullable
    The fields specified in the case configuration are not used and are not propagated to individual cases, therefore it is recommended to set it to `null`.
  - `id` (string)
    The identifier for the connector. If you do not want a default connector, use `none`. To retrieve connector IDs, use the find connectors API.
  - `name` (string)
    The name of the connector. If you do not want a default connector, use `none`. To retrieve connector names, use the find connectors API.
  - `type` (enum)
    The type of connector.
    Values: `.cases-webhook`, `.jira`, `.none`, `.resilient`, `.servicenow`, `.servicenow-sir`, `.swimlane`
- `created_at` (string)
- `created_by` (object)
  - `email` (string) — nullable
  - `full_name` (string) — nullable
  - `profile_uid` (string)
  - `username` (string) — nullable
- `customFields` ([] object)
  Custom fields configuration details.
  - `defaultValue` (boolean | string)
    A default value for the custom field. If the `type` is `text`, the default value must be a string. If the `type` is `toggle`, the default value must be boolean.
  - `key` (string · min: 1 · max: 36)
    A unique key for the custom field. Must be lower case and composed only of a-z, 0-9, '_', and '-' characters. It is used in API calls to refer to a specific custom field.
  - `label` (string · min: 1 · max: 50)
    The custom field label that is displayed in the case.
  - `type` (enum)
    The type of the custom field.
    Values: `text`, `toggle`
  - `required` (boolean)
    Indicates whether the field is required. If `false`, the custom field can be set to null or omitted when a case is created or updated.
- `error` (string) — nullable
- `id` (string)
- `mappings` ([] object)
  - `action_type` (string)
  - `source` (string)
  - `target` (string)
- `owner` (enum)
  The application that owns the cases: Stack Management, Observability, or Elastic Security.
  Values: `cases`, `observability`, `securitySolution`
- `templates` ([] object)
  - `caseFields` (object)
    - `assignees` ([] null · max: 10) — nullable
      An array containing users that are assigned to the case.
      - `uid` (string)
        A unique identifier for the user profile. These identifiers can be found by using the suggest user profile API.
    - `category` (string · max: 50)
      A word or phrase that categorizes the case.
    - `connector` (object)
      - `fields` (object) — nullable
        The fields specified in the case configuration are not used and are not propagated to individual cases, therefore it is recommended to set it to `null`.
      - `id` (string)
        The identifier for the connector. If you do not want a default connector, use `none`. To retrieve connector IDs, use the find connectors API.
      - `name` (string)
        The name of the connector. If you do not want a default connector, use `none`. To retrieve connector names, use the find connectors API.
      - `type` (enum)
        The type of connector.
        Values: `.cases-webhook`, `.jira`, `.none`, `.resilient`, `.servicenow`, `.servicenow-sir`, `.swimlane`
    - `customFields` ([] object)
      Custom field values in the template.
      - `key` (string)
        The unique key for the custom field.
      - `type` (enum)
        The type of the custom field.
        Values: `text`, `toggle`
      - `value` (boolean | string)
        The default value for the custom field when a case uses the template. If the `type` is `text`, the default value must be a string. If the `type` is `toggle`, the default value must be boolean.
    - `description` (string · max: 30000)
      The description for the case.
    - `settings` ({})
      An object that contains the case settings.
      - `syncAlerts` (boolean)
        Turns alert syncing on or off.
    - `severity` (enum  · default: low)
      The severity of the case.
      Values: `critical`, `high`, `low`, `medium`
    - `tags` ([] object · max: 200)
      The words and phrases that help categorize cases. It can be an empty array.
    - `title` (string · max: 160)
      A title for the case.
  - `description` (string)
    A description for the template.
  - `key` (string)
    A unique key for the template. Must be lower case and composed only of a-z, 0-9, '_', and '-' characters. It is used in API calls to refer to a specific template.
  - `name` (string)
    The name of the template.
  - `tags` ([] object · max: 200)
    The words and phrases that help categorize templates. It can be an empty array.
- `updated_at` (string) — nullable
- `updated_by` (object) — nullable
  - `email` (string) — nullable
  - `full_name` (string) — nullable
  - `profile_uid` (string)
  - `username` (string) — nullable
- `version` (string)
#### `401`

Authorization information is missing or invalid.

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (integer)
## Code Examples

#### Console

```console
GET /api/cases/configure
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/cases/configure"
```

## Response Examples

#### Get the case configuration.

```json
[
  {
    "closure_type": "close-by-user",
    "connector": {
      "fields": "null",
      "id": "none",
      "name": "none",
      "type": ".none"
    },
    "created_at": "2024-07-01T17:07:17.767Z",
    "created_by": {
      "email": "null",
      "full_name": "null",
      "username": "elastic"
    },
    "customFields": [
      {
        "defaultValue": "Custom text field value.",
        "key": "d312efda-ec2b-42ec-9e2c-84981795c581",
        "label": "my-text-field",
        "type": "text",
        "required": false
      }
    ],
    "error": "null",
    "id": "856ee650-6c82-11ee-a20a-6164169afa58",
    "mappings": [],
    "owner": "cases",
    "templates": [
      {
        "caseFields": {
          "assignees": [
            {
              "uid": "u_mGBROF_q5bmFCATbLXAcCwKa0k8JvONAwSruelyKA5E_0"
            }
          ],
          "category": "Default-category",
          "connector": {
            "fields": "null",
            "id": "none",
            "name": "none",
            "type": ".none"
          },
          "customFields": [
            {
              "key": "d312efda-ec2b-42ec-9e2c-84981795c581",
              "type": "text",
              "value": "Default text field value."
            }
          ],
          "description": "A default description for cases.",
          "settings": {
            "syncAlerts": false
          },
          "tags": [
            "Default case tag"
          ],
          "title": "Default case title"
        },
        "description": "A description of the template.",
        "key": "505932fe-ee3a-4960-a661-c781b5acdb05",
        "name": "template-1",
        "tags": [
          "Template tag 1"
        ]
      }
    ],
    "updated_at": "null",
    "updated_by": "null",
    "version": "WzEyLDNd"
  }
]
```

